import type { IMintableToken, IMintableTokenInterface } from "../../../../@bancor/token-governance/contracts/IMintableToken";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class IMintableToken__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    })[];
    static createInterface(): IMintableTokenInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IMintableToken;
}
//# sourceMappingURL=IMintableToken__factory.d.ts.map