import type { ITokenGovernance, ITokenGovernanceInterface } from "../../../../@bancor/token-governance/contracts/ITokenGovernance";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ITokenGovernance__factory {
    static readonly abi: ({
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    } | {
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): ITokenGovernanceInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ITokenGovernance;
}
//# sourceMappingURL=ITokenGovernance__factory.d.ts.map