import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IBancorNetwork, IBancorNetworkInterface } from "../IBancorNetwork";
export declare class IBancorNetwork__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IBancorNetworkInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IBancorNetwork;
}
//# sourceMappingURL=IBancorNetwork__factory.d.ts.map