import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IBancorXUpgrader, IBancorXUpgraderInterface } from "../IBancorXUpgrader";
export declare class IBancorXUpgrader__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IBancorXUpgraderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IBancorXUpgrader;
}
//# sourceMappingURL=IBancorXUpgrader__factory.d.ts.map