import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IBancorX, IBancorXInterface } from "../IBancorX";
export declare class IBancorX__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IBancorXInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IBancorX;
}
//# sourceMappingURL=IBancorX__factory.d.ts.map