import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { ICheckpointStore, ICheckpointStoreInterface } from "../ICheckpointStore";
export declare class ICheckpointStore__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ICheckpointStoreInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ICheckpointStore;
}
//# sourceMappingURL=ICheckpointStore__factory.d.ts.map