import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IContractRegistry, IContractRegistryInterface } from "../IContractRegistry";
export declare class IContractRegistry__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IContractRegistryInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IContractRegistry;
}
//# sourceMappingURL=IContractRegistry__factory.d.ts.map