import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IConversionPathFinder, IConversionPathFinderInterface } from "../IConversionPathFinder";
export declare class IConversionPathFinder__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IConversionPathFinderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IConversionPathFinder;
}
//# sourceMappingURL=IConversionPathFinder__factory.d.ts.map