import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IConverterRegistryData, IConverterRegistryDataInterface } from "../IConverterRegistryData";
export declare class IConverterRegistryData__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IConverterRegistryDataInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IConverterRegistryData;
}
//# sourceMappingURL=IConverterRegistryData__factory.d.ts.map