import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IConverterRegistry, IConverterRegistryInterface } from "../IConverterRegistry";
export declare class IConverterRegistry__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IConverterRegistryInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IConverterRegistry;
}
//# sourceMappingURL=IConverterRegistry__factory.d.ts.map