import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { ILiquidityProtectionSettings, ILiquidityProtectionSettingsInterface } from "../ILiquidityProtectionSettings";
export declare class ILiquidityProtectionSettings__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ILiquidityProtectionSettingsInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILiquidityProtectionSettings;
}
//# sourceMappingURL=ILiquidityProtectionSettings__factory.d.ts.map