import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { ILiquidityProtectionStats, ILiquidityProtectionStatsInterface } from "../ILiquidityProtectionStats";
export declare class ILiquidityProtectionStats__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ILiquidityProtectionStatsInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILiquidityProtectionStats;
}
//# sourceMappingURL=ILiquidityProtectionStats__factory.d.ts.map