import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { ITransferPositionCallback, ITransferPositionCallbackInterface } from "../ITransferPositionCallback";
export declare class ITransferPositionCallback__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ITransferPositionCallbackInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ITransferPositionCallback;
}
//# sourceMappingURL=ITransferPositionCallback__factory.d.ts.map