import type { ILegacyConverter, ILegacyConverterInterface } from "../../../contracts/BancorNetwork.sol/ILegacyConverter";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ILegacyConverter__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ILegacyConverterInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILegacyConverter;
}
//# sourceMappingURL=ILegacyConverter__factory.d.ts.map