import type { INetworkSettings, INetworkSettingsInterface } from "../../contracts/INetworkSettings";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class INetworkSettings__factory {
    static readonly abi: {
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): INetworkSettingsInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): INetworkSettings;
}
//# sourceMappingURL=INetworkSettings__factory.d.ts.map