import type { IConverterUpgrader, IConverterUpgraderInterface } from "../../../../contracts/converter/interfaces/IConverterUpgrader";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class IConverterUpgrader__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IConverterUpgraderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IConverterUpgrader;
}
//# sourceMappingURL=IConverterUpgrader__factory.d.ts.map