import type { ITypedConverterAnchorFactory, ITypedConverterAnchorFactoryInterface } from "../../../../contracts/converter/interfaces/ITypedConverterAnchorFactory";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ITypedConverterAnchorFactory__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ITypedConverterAnchorFactoryInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ITypedConverterAnchorFactory;
}
//# sourceMappingURL=ITypedConverterAnchorFactory__factory.d.ts.map