import type { ITypedConverterFactory, ITypedConverterFactoryInterface } from "../../../../contracts/converter/interfaces/ITypedConverterFactory";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ITypedConverterFactory__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ITypedConverterFactoryInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ITypedConverterFactory;
}
//# sourceMappingURL=ITypedConverterFactory__factory.d.ts.map