import type { MockVortexBurner, MockVortexBurnerInterface } from "../../../contracts/helpers/MockVortexBurner";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import { Signer, ContractFactory, Overrides } from "ethers";
declare type MockVortexBurnerConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class MockVortexBurner__factory extends ContractFactory {
    constructor(...args: MockVortexBurnerConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockVortexBurner>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockVortexBurner;
    connect(signer: Signer): MockVortexBurner__factory;
    static readonly bytecode = "0x60806040526103e8600055348015601557600080fd5b506058806100246000396000f3fe6080604052348015600f57600080fd5b506004361060285760003560e01c806335ab5f6414602d575b600080fd5b60336045565b60408051918252519081900360200190f35b6000549056fea164736f6c634300060c000a";
    static readonly abi: {
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): MockVortexBurnerInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): MockVortexBurner;
}
export {};
//# sourceMappingURL=MockVortexBurner__factory.d.ts.map