import type { ILiquidityProtectionSystemStore, ILiquidityProtectionSystemStoreInterface } from "../../../../contracts/liquidity-protection/interfaces/ILiquidityProtectionSystemStore";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ILiquidityProtectionSystemStore__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ILiquidityProtectionSystemStoreInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILiquidityProtectionSystemStore;
}
//# sourceMappingURL=ILiquidityProtectionSystemStore__factory.d.ts.map