import type { ILiquidityProtection, ILiquidityProtectionInterface } from "../../../../contracts/liquidity-protection/interfaces/ILiquidityProtection";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ILiquidityProtection__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ILiquidityProtectionInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILiquidityProtection;
}
//# sourceMappingURL=ILiquidityProtection__factory.d.ts.map