import type { IStakingRewards, IStakingRewardsInterface } from "../../../../contracts/staking-rewards/interfaces/IStakingRewards";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class IStakingRewards__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    })[];
    static createInterface(): IStakingRewardsInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IStakingRewards;
}
//# sourceMappingURL=IStakingRewards__factory.d.ts.map