import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface ConverterV28OrHigherWithFallbackInterface extends utils.Interface {
    functions: {
        "isV28OrHigher()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "isV28OrHigher"): FunctionFragment;
    encodeFunctionData(functionFragment: "isV28OrHigher", values?: undefined): string;
    decodeFunctionResult(functionFragment: "isV28OrHigher", data: BytesLike): Result;
    events: {};
}
export interface ConverterV28OrHigherWithFallback extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ConverterV28OrHigherWithFallbackInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        isV28OrHigher(overrides?: CallOverrides): Promise<[boolean]>;
    };
    isV28OrHigher(overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        isV28OrHigher(overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {};
    estimateGas: {
        isV28OrHigher(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        isV28OrHigher(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=ConverterV28OrHigherWithFallback.d.ts.map