import type { IClaimable, IClaimableInterface } from "../../../../@bancor/token-governance/contracts/IClaimable";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class IClaimable__factory {
    static readonly abi: ({
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): IClaimableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IClaimable;
}
//# sourceMappingURL=IClaimable__factory.d.ts.map