import { Signer, ContractFactory, Overrides } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import type { ConverterV27OrLowerWithFallback, ConverterV27OrLowerWithFallbackInterface } from "../ConverterV27OrLowerWithFallback";
declare type ConverterV27OrLowerWithFallbackConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ConverterV27OrLowerWithFallback__factory extends ContractFactory {
    constructor(...args: ConverterV27OrLowerWithFallbackConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ConverterV27OrLowerWithFallback>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ConverterV27OrLowerWithFallback;
    connect(signer: Signer): ConverterV27OrLowerWithFallback__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50601c80601d6000396000f3fe608060405236600a57005b600080fdfea164736f6c634300060c000a";
    static readonly abi: {
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ConverterV27OrLowerWithFallbackInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ConverterV27OrLowerWithFallback;
}
export {};
//# sourceMappingURL=ConverterV27OrLowerWithFallback__factory.d.ts.map