import { Signer, ContractFactory, Overrides } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import type { ConverterV28OrHigherWithoutFallback, ConverterV28OrHigherWithoutFallbackInterface } from "../ConverterV28OrHigherWithoutFallback";
declare type ConverterV28OrHigherWithoutFallbackConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ConverterV28OrHigherWithoutFallback__factory extends ContractFactory {
    constructor(...args: ConverterV28OrHigherWithoutFallbackConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ConverterV28OrHigherWithoutFallback>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ConverterV28OrHigherWithoutFallback;
    connect(signer: Signer): ConverterV28OrHigherWithoutFallback__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b5060598061001e6000396000f3fe6080604052348015600f57600080fd5b506004361060285760003560e01c8063d260529c14602d575b600080fd5b60336047565b604080519115158252519081900360200190f35b60019056fea164736f6c634300060c000a";
    static readonly abi: {
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ConverterV28OrHigherWithoutFallbackInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ConverterV28OrHigherWithoutFallback;
}
export {};
//# sourceMappingURL=ConverterV28OrHigherWithoutFallback__factory.d.ts.map