import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IBancorNetworkV3, IBancorNetworkV3Interface } from "../IBancorNetworkV3";
export declare class IBancorNetworkV3__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IBancorNetworkV3Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): IBancorNetworkV3;
}
//# sourceMappingURL=IBancorNetworkV3__factory.d.ts.map