import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { IConverterFactory, IConverterFactoryInterface } from "../IConverterFactory";
export declare class IConverterFactory__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): IConverterFactoryInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IConverterFactory;
}
//# sourceMappingURL=IConverterFactory__factory.d.ts.map