import type { ILegacyConverterVersion45, ILegacyConverterVersion45Interface } from "../../../../contracts/converter/ConverterUpgrader.sol/ILegacyConverterVersion45";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ILegacyConverterVersion45__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    } | {
        stateMutability: string;
        type: string;
        anonymous?: undefined;
        inputs?: undefined;
        name?: undefined;
        outputs?: undefined;
    })[];
    static createInterface(): ILegacyConverterVersion45Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILegacyConverterVersion45;
}
//# sourceMappingURL=ILegacyConverterVersion45__factory.d.ts.map