import type { IConverterAnchor, IConverterAnchorInterface } from "../../../../contracts/converter/interfaces/IConverterAnchor";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class IConverterAnchor__factory {
    static readonly abi: ({
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): IConverterAnchorInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IConverterAnchor;
}
//# sourceMappingURL=IConverterAnchor__factory.d.ts.map