import type { ConverterV27OrLowerWithoutFallback, ConverterV27OrLowerWithoutFallbackInterface } from "../../../../contracts/helpers/TestBancorNetwork.sol/ConverterV27OrLowerWithoutFallback";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import { Signer, ContractFactory, Overrides } from "ethers";
declare type ConverterV27OrLowerWithoutFallbackConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ConverterV27OrLowerWithoutFallback__factory extends ContractFactory {
    constructor(...args: ConverterV27OrLowerWithoutFallbackConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ConverterV27OrLowerWithoutFallback>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ConverterV27OrLowerWithoutFallback;
    connect(signer: Signer): ConverterV27OrLowerWithoutFallback__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50601f80601d6000396000f3fe608060405236600d57600080fd5b600080fdfea164736f6c634300060c000a";
    static readonly abi: {
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ConverterV27OrLowerWithoutFallbackInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ConverterV27OrLowerWithoutFallback;
}
export {};
//# sourceMappingURL=ConverterV27OrLowerWithoutFallback__factory.d.ts.map