import type { ILiquidityPoolConverter, ILiquidityPoolConverterInterface } from "../../../../contracts/liquidity-protection/LiquidityProtection.sol/ILiquidityPoolConverter";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ILiquidityPoolConverter__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    } | {
        stateMutability: string;
        type: string;
        anonymous?: undefined;
        inputs?: undefined;
        name?: undefined;
        outputs?: undefined;
    })[];
    static createInterface(): ILiquidityPoolConverterInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILiquidityPoolConverter;
}
//# sourceMappingURL=ILiquidityPoolConverter__factory.d.ts.map