import type { ILiquidityProtectionStore, ILiquidityProtectionStoreInterface } from "../../../../contracts/liquidity-protection/interfaces/ILiquidityProtectionStore";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class ILiquidityProtectionStore__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ILiquidityProtectionStoreInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ILiquidityProtectionStore;
}
//# sourceMappingURL=ILiquidityProtectionStore__factory.d.ts.map