import type { IOwned, IOwnedInterface } from "../../../../contracts/utility/interfaces/IOwned";
import type { Provider } from "@ethersproject/providers";
import { Signer } from "ethers";
export declare class IOwned__factory {
    static readonly abi: ({
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): IOwnedInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IOwned;
}
//# sourceMappingURL=IOwned__factory.d.ts.map